local kart_invulthemes = {
--  ["skin"] = "theme",
    ["sonic"] = "soninv",
	["tails"] = "taiinv",
	["knuckles"] = "knuinv",
	["eggman"] = "egginv",
	["metalsonic"] = "metinv",
	["flicky"] = "sa1inv", -- Extended starts here
	["motobug"] = "son1in",
	["amy"] = "sa1inv",
	["mighty"] = "maninv",
	["ray"] = "maninv",
	["espio"] = "chtxin",
	["vector"] = "chtxin",
	["chao"] = "sa1inv",
	["darkchao"] = "sa1inv",
	["herochao"] = "sa1inv",
	["chaos"] = "sa1inv",
	["gamma"] = "sa1inv",
	["shadow"] = "shainv",
	["rouge"] = "sa1inv",
	["omega"] = "omeinv",
	["blaze"] = "rushin",
	["silver"] = "silinv",
	["wonderboy"] = "wnbinv",
	["arle"] = "carlin", -- replaced with arlecomp (93)
	["aiai"] = "aiainv",
	["aigis"] = "aiginv",
	["miku"] = "mikuin",
	["kiryu"] = "kirinv",
	["beat"] = "beatin",
	["ulala"] = "ulainv",
	["nights"] = "nidinv",
	["cream"] = "sa1inv",
	["sakura"] = "sakinv",
	["vyse"] = "vysinv",
	["doom"] = "doomin",
	["akiizayoi"] = "ygoinv", -- Custom stuff starts here
	["crowhogan"] = "ygoinv",
	["kiryukyosuke"] = "ygoinv",
	["joeywheeler"] = "ygoinv",
	["jonouchikatsuya"] = "ygoinv",
	["yamiyugien"] = "ygoinv",
	["yamiyugijp"] = "ygoinv",
	["yukijudai"] = "ygoinv",
	["yukijaden"] = "ygoinv",
	["maivalentine"] = "ygoinv",
	["maikujaku"] = "ygoinv",
	["stocking"] = "stoinv", -- v0.2
	["panty"] = "stoinv",
	["t_tetrimino"] = "tetinv",
	["setokaiba"] = "ygoinv", -- v0.3
	["frye"] = "fryein",
	["klonoa_lunatea"] = "klonin",
	["lcorpnugget"] = "lcninv",
	["leac"] = "leainv",
	["spark"] = "spainv",
	["lww_wario"] = "waainv", -- v0.4
	["cirno"] = "crninv",
	["kochiya_sanae"] = "sneinv",
	["hong_meiling"] = "hnginv",
	["marisa_kirisame"] = "mrsinv",
	["reisen_inaba"] = "resinv",
	["tewi"] = "teiinv",
	["walfas_reimu"] = "reinvi",
	["reimu"] = "reinvi",
	["sakuya"] = "skuivc",
	["aru"] = "aruinv", -- v0.5
	["badly"] = "puyinv", 
	["carb"] = "carbin",
	["curlybrace"] = "curinv",
	["spikespiegel"] = "spikin",
	["drybone"] = "fdyinv",
	["funky_kong"] = "fdyinv",
	["fax_fraud"] = "fdyinv",
	["yoshi"] = "fdyinv",
	["plague"] = "plagin", -- v0.6
	["peppino"] = "peppin", -- ty indev :)
	["ptpeppino"] = "peppin", -- ty indev :)
	["okuu"] = "okuuin",
	["nazrin"] = "nazrin",
	["yukari"] = "yukinv",
	["ikunagae"] = "ikuinv",
	["luluco"] = "luluin", 
	["avery"] = "aveinv", -- v0.7
	["brownbricks"] = "gadinv",
	["ryuko"] = "killin",
	["satsuki"] = "killin",
	["junpei"] = "juninv", -- v0.8
	["shiver"] = "fryein",
	["dark_arle"] = "dpplin",
	["doppel_arle"] = "dpplin",
	["arlecomp"] = "carlin", -- v0.9
	["chibiusa"] = "sailin",
	["makoto"] = "sailin",
	["rei"] = "sailin",
	["ami"] = "sailin",
	["usagi"] = "sailin",
	["haruka"] = "sailin",
	["minako"] = "sailin", -- v0.10
	["whisper"] = "whisin",
	["yuuka"] = "yuuinv",
	["herochao"] = "sa1inv",
	["darkchao"] = "sa1inv",
	["warpstarkirby"] = "kirbin",
	["nights"] = "nighin",
	["nia"] = "xenoin",
	["pyra"] = "xenoin",
	["neptune"] = "nepinv", -- v0.11
	["sinon"] = "sinoin",
	["gum"] = "guminv",
	["suguri"] = "suginv",
	["sora"] = "suginv",
	["beebz"] = "beebin", -- v0.12
	["gmaxeevee"] = "gmeveein",
	["shantae"] = "shantv",
	["yukari"] = "yukarv",
	["linne"] = "klninv",
	["sherry_leblanc"] = "ygoinv",	-- v0.13
	["queenofhatredlc"] = "lcninv", -- v0.15 (where did 14 go?)
	["anime_girl"] = "mayinv",
	["hlscientist"] = "hlsinv" -- v0.16
	
}

local loaded = false
addHook("PlayerJoin", function(pnum)
    if not consoleplayer then return end
	if pnum ~= #consoleplayer then return end

    if loaded then return end

	loaded = true

	COM_BufAddText(consoleplayer, "megamixthemes On")
	for skin, theme in pairs(kart_invulthemes) do
		COM_BufAddText(consoleplayer, string.format("addinvincibilitytheme %s %s", skin, theme))
	end
end)
